#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['lenskit',
 'lenskit.algorithms',
 'lenskit.batch',
 'lenskit.data',
 'lenskit.math',
 'lenskit.metrics',
 'lenskit.sharing',
 'lenskit.util']

package_data = \
{'': ['*'],
 'lenskit': ['matrix/*'],
 'lenskit.algorithms': ['item_knn/*', 'tf/*']}

install_requires = \
['pandas >=1.0, ==1.*',
 'numpy >= 1.17',
 'scipy >= 1.2',
 'numba >= 0.51, < 0.56',
 'cffi >= 1.12.2',
 'psutil >= 5',
 'binpickle >= 0.3.2',
 'seedbank >= 0.1.0',
 'csr >= 0.3.1']

extras_require = \
{'demo': ['notebook >= 6', 'nbval >= 0.9', 'matplotlib ~= 3.4'],
 'dev': ['flit >= 3',
         'conda-lock',
         'invoke >=1',
         'requests >=2',
         'packaging >= 20',
         'flake8 >= 3',
         'coverage >= 5',
         'pytest-cov >= 2.12',
         'ipython == 7.*',
         'docopt >= 0.6',
         'tqdm >= 4',
         'sphinx-autobuild >= 2021'],
 'doc': ['sphinx >= 4.2',
         'sphinxcontrib-bibtex >= 2.0',
         'sphinx_rtd_theme >= 0.5',
         'nbsphinx >= 0.8',
         'ipython == 7.*',
         'notebook >=6'],
 'hpf': ['lenskit-hpf'],
 'implicit': ['lenskit-implicit'],
 'sklearn': ['scikit-learn >= 0.22'],
 'test': ['pytest >= 6', 'pytest-doctestplus >= 0.9', 'hypothesis >= 6'],
 'tf': ['lenskit-tf']}

setup(name='lenskit',
      version='0.14.1',
      description='The LensKit toolkit for recommender systems research.',
      author=None,
      author_email='Michael Ekstrand <michaelekstrand@boisestate.edu>',
      url=None,
      packages=packages,
      package_data=package_data,
      install_requires=install_requires,
      extras_require=extras_require,
      python_requires='>= 3.7',
     )
